**Mobile Development 2023/24 Portfolio**
# Requirements

Student ID: `C21012278`

**Non-Functional Requirements**

Performance: The application loads quickly and responds swiftly to user interactions. It can handle concurrent users efficiently.

Security: User data and transaction information are protected through encryption and secure protocols. Secure authentication and authorization mechanisms are implemented.

Usability: The application provides an intuitive and user-friendly interface for all users. It supports multiple languages and currency options for international users.

Scalability: The application is designed to handle growth in user base and order volume without degradation in performance.

Availability: The application is highly available with minimal downtime, with redundancy and failover mechanisms in place.

Reliability: The application consistently performs as expected without crashes or errors.

Maintainability: The application is easy to maintain and update, with modular and well-documented code for efficient maintenance.

**Functional Requirements**

Product Catalog: The app provides a comprehensive catalog of flowers and related products. Users can browse by categories such as size, color, and use filters like price and availability.

Product Details: Detailed product information is displayed, including images, descriptions, prices, and options for customization (e.g., size, vase type).

Search and Filter: An advanced search function is available, with filters such as type, color, size, and price.

Shopping Cart and Checkout: Users can add products to the cart, adjust quantities, and remove items. A streamlined checkout process with multiple payment options is provided.

Order Management: Users can view and manage their orders. Real-time order tracking and delivery notifications are available.

Scheduling and Delivery Options: Users can select delivery dates and times, with same-day delivery options offered in specific regions.
