**Mobile Development 2023/24 Portfolio**
# API description

Student ID: `C21012278`

android.app.Application:
This class represents the Android application itself and can be used for global application-level configurations and state and it provides context and resources to other components in your application and maintain application-wide state.

android.content.Context:
This is used to access application resources, files, databases, and other components. Nearly every component in your project requires a context to operate, such as accessing shared preferences, starting services, or interacting with the Android framework.

android.graphics.Paint:
Paint is used to define the style and color of the graphical elements in your app, such as drawing shapes, lines, and text. It´s used to customize the appearance of graphical elements, such as a custom view.

android.view.LayoutInflater:
This is used to inflate layouts (XML) into corresponding View objects. It´s used to create views from XML layouts dynamically, especially for custom view and view group creation.

android.view.View and android.view.ViewGroup:
These are fundamental building blocks of the Android UI framework. We use these classes extensively for managing user interface elements and their layout.

android.widget.CheckBox and android.widget.ImageView:
These are UI components used to display and interact with visual elements such as checkboxes and images. They are essential for user interaction and experience.

androidx.core.net.toUri:
This is an extension function to convert a string into a URI, making it easier to handle URIs in your project. It's useful for simplifying URI handling, such as when dealing with resource locations.

androidx.recyclerview.widget.RecyclerView:
This is a flexible and efficient UI component for displaying large data sets. It provides efficient scrolling and a variety of view types for complex lists and grids, which is likely important for your app.

android.util.Log and android.widget.Toast:
Log is used for debugging and logging information while Toast is a UI component for showing brief, non-interactive messages. These are essential for troubleshooting and providing quick feedback to users.

