package com.example.mob_dev_portfolio

import android.app.Application
import com.example.mob_dev_portfolio.ServiceLocator
import com.example.mob_dev_portfolio.data.source.repository.AuthRepoInterface
import com.example.mob_dev_portfolio.data.source.repository.ProductsRepoInterface

class ShoppingApplication : Application() {
	val authRepository: AuthRepoInterface
		get() = ServiceLocator.provideAuthRepository(this)

	val productsRepository: ProductsRepoInterface
		get() = ServiceLocator.provideProductsRepository(this)

	override fun onCreate() {
		super.onCreate()
	}
}